Foreman - Bug #35650

Malformed Debian repository
10/19/2022 03:11 PM - Bernhard Suttner

Status: Closed
Priority: Normal
Assignee: Bernhard Suttner
Category: Host registration

Target version:

Difficulty: Fixed in Releases: 3.5.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9473
Description

In Host registration -> advanced its possible to enter a debian repository which will then be written to
/etc/apt/sources.list.d/foreman_registration.list
Currently, shell_escape is used. If you enter a debian repo like "deb hitps://example.com buster stable" the repo config look like

deb\ https://example.com\ buster\ stable

which is unusable.

Associated revisions

Revision debea6c1 - 10/19/2022 04:58 PM - Bernhard Suttner

Fixes #35650 - write correct form of deb repo

In Host registration -> advanced its possible to enter a debian
repository which will then be written to
/etc/apt/sources.list.d/foreman_registration.list

If you enter a debian repo like "deb https:/example.com buster stable",
shell_escape method would rewrite the string so that it looks like:

deb\ https://example.com\ buster\ stable

This repo config can not work. Use save_to_file to write the file.

History

#1 - 10/19/2022 03:18 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/9473 added

#2 - 10/19/2022 04:58 PM - The Foreman Bot
- Fixed in Releases 3.5.0 added

#3 - 10/19/2022 05:01 PM - Bernhard Suttner
- Status changed from Ready For Testing to Closed

Applied in changeset foreman 1 1 19f62956.

#4 - 11/08/2022 05:34 PM - Ewoud Kohl van Wijngaarden
- Subject changed from Host registration: debian repository malformed to Malformed Debian repository
- Category set to Host registration

- Triaged changed from No to Yes

05/18/2024 1/1



https://example.com
https://example.com
https://example.com
https://example.com
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/debea6c156b9508188e03cabc63093bc19f62956
http://www.tcpdf.org

